import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:osam/osam.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  final persist = Persist(appName: 'test');
  await persist.init();
  final version = await persist.version;
  print(version);
  await persist.save(state: null, uiState: null, version: 10202);
  await persist.delete();


  runApp(const MaterialApp(
    home: App(),
  ));
}

class App extends StatefulWidget {
  const App();

  @override
  _AppState createState() => _AppState();
}

class _AppState extends State<App> {
  @override
  Widget build(BuildContext context) {
    return Container();
  }
}
